Bug 842441 - "Server is unwilling to perform" when running ldapmodify on nsds5ReplicaStripAttrs
Summary: "Server is unwilling to perform" when running ldapmodify on nsds5ReplicaStrip...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-07-23 21:03 UTC by Nathan Kinder
Modified: 2013-02-21 08:20 UTC (History)
2 users (show)

Fixed In Version: 389-ds-base-1.2.11.12-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: attribute was not in a list of allowed attributes to update Consequence: the attribute could only be manually set in dse.ldif when the server was shutdown. Fix: add attribute to "allow" list Result: you can use ldapmodify to set the config attribute
Clone Of:
Environment:
Last Closed: 2013-02-21 08:20:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0503 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2013-02-21 08:18:44 UTC

Description Nathan Kinder 2012-07-23 21:03:44 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/413

The server rejects modifications to nsds5ReplicaStripAttrs (a replica agreement attribute added in #321).

{{{

$ ldapmodify -x -h localhost -D "cn=Directory Manager" -w 12345678
dn: cn=meTovm-028.idm.lab.bos.redhat.com,cn=replica,cn=dc\3Didm\2Cdc\3Dlab\2Cdc\3Dbos\2Cdc\3Dredhat\2Cdc\3Dcom,cn=mapping tree,cn=config
changetype: modify
add: nsds5replicastripattrs
nsds5replicastripattrs: modifiersname modifytimestamp internalmodifiersname internalmodifytimestamp

modifying entry "cn=meTovm-028.idm.lab.bos.redhat.com,cn=replica,cn=dc\3Didm\2Cdc\3Dlab\2Cdc\3Dbos\2Cdc\3Dredhat\2Cdc\3Dcom,cn=mapping tree,cn=config"
ldap_modify: Server is unwilling to perform (53)
}}}

Comment 1 Nathan Kinder 2012-07-23 21:06:44 UTC
This is associated with the new attribute that was added as part of ticket #321 (bug 782295).  This should be verified at the same time.

Verification should consist of trying to set nsds5replicastripattrs dynamically over LDAP as "cn=Directory Manager".

Comment 2 Jenny Severance 2012-08-28 13:23:20 UTC
added automated regression testcase to accept.sh

Comment 4 Sankar Ramalingam 2012-11-19 10:37:16 UTC
No failures encountered from mmrept/accept tests. Hence marking the bug as Verified.
    mmrepl mmraccept run elapse time : 00:12:17
    mmrepl mmraccept run Tests PASS      : 100% (27/27)

Comment 5 errata-xmlrpc 2013-02-21 08:20:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html


Note You need to log in before you can comment on or make changes to this bug.